<?xml version="1.0" encoding="UTF-8"?>
<FindBugsFilter>
    <Match>
        <!-- spotbugs message is Possible null pointer dereference of Kino.kinoSaele in equals method.
             But the if statements before that line guarantee not null. -->
        <Class name="de.accso.flexinale.domain.model.Kino" />
        <Bug pattern="NP_NULL_ON_SOME_PATH_MIGHT_BE_INFEASIBLE" />
    </Match>
    <Match>
        <Class name="de.accso.flexinale.infrastructure.FlexinaleSpringConfig" />
        <Bug pattern="CT_CONSTRUCTOR_THROW"/>
    </Match>
</FindBugsFilter>